<div class="content-right-content-body">
    <div id="contentRightContainer" class="content-right-container mg-15 pd-r-15">
        {% if image_url %}
            <div class="questionaire-header">
                <img src="{{ image_url }}" alt="planBLICK Logo" class="questionaire-logo-image">
                <h1 class="questionaire-title">{{ title }}</h1>
            </div>
        {% else %}
            <div class="questionaire-header">
                <h1 class="questionaire-title">{{ title }}</h1>
            </div>
        {% endif %}

        <form id="questionaire_form">
            <ul class="form-section page-section list-ckeck-soft pt-4">
                {% for question in questions %}
                    {% if question.hidden != true %}
                        <li data-questionli="{{ question.id }}" class="form-line missing" data-type="control_textbox" id="question_{{ question.id }}">
                            <label class="form-label form-label-left" for="input_{{ question.answer.id }}">{{ question.text }}</label>
                            <div id="input_{{ question.answer.id }}" class="form-input" data-layout="half">
                                {% if question.answer.data.type == "multiinput" or question.answer.data.type == "input" %}
                                    <ul class="questionaire_answer_list">
                                        {% for answer_input in question.answer.data.inputs %}
                                            <li data-answercontainerforid="{{ answer_select_data.id }}">
                                                <input data-question_id="{{ question.id }}" type="text"
                                                       data-answer-value-element="{{ answer_input.id }}" id="answer_value_{{ answer_input.id }}"
                                                       placeholder="{{ answer_input.placeholder }}"
                                                       name="" class="form-textbox" value=""><br/>
                                            </li>
                                        {% endfor %}
                                    </ul>
                                {% endif %}
                                {% if question.answer.data.type == "textarea" %}
                                    <ul class="questionaire_answer_list">
                                        {% for answer_input in question.answer.data.inputs %}
                                            <li data-answercontainerforid="{{ answer_select_data.id }}">
                                    <textarea data-question_id="{{ question.id }}" type="text"
                                              data-answer-value-element="{{ answer_input.id }}"
                                              id="answer_value_{{ answer_input.id }}" name="" class="form-textbox"
                                              value=""></textarea><br/>
                                            </li>
                                        {% endfor %}
                                    </ul>
                                {% endif %}
                                {% if question.answer.data.type == "select" %}
                                    <ul class="questionaire_answer_list">
                                        {% for answer_select_data in question.answer.data.select_options %}
                                            <li data-answercontainerforid="{{ answer_select_data.id }}">
                                                <input data-question_id="{{ question.id }}"
                                                       data-answer-value-element="{{ answer_input.id }}" type="radio" class="form-radio"
                                                       id="answer_value_{{ answer_select_data.id }}"
                                                       name="answer_radiobutton_{{ question.id }}"
                                                       value="{{ answer_select_data.value }}"/>
                                                <label id="label_{{ answer_select_data.id }}" for="answer_id_{{ answer_select_data.id }}">{{ answer_select_data.label }}</label>
                                            </li>
                                        {% endfor %}
                                    </ul>
                                {% endif %}
                                {% if question.answer.data.type == "multiselect" %}
                                    <ul class="questionaire_answer_list">
                                        {% for answer_select_data in question.answer.data.select_options %}
                                            <li data-answercontainerforid="{{ answer_select_data.id }}">
                                                <input data-question_id="{{ question.id }}"
                                                       data-answer-value-element="{{ answer_input.id }}" type="checkbox"
                                                       aria-describedby="label_13" class="form-radio"
                                                       id="answer_value_{{ answer_select_data.id }}"
                                                       name="question_answer_multi_{{ question.group }}"
                                                       value="{{ answer_select_data.value }}"/>
                                                <label id="label_{{ answer_select_data.id }}" for="answer_id_{{ answer_select_data.id }}">{{ answer_select_data.label }}</label>
                                            </li>
                                        {% endfor %}
                                    </ul>
                                {% endif %}

                                {% if question.answer.data.type == "range" %}
                                    <ul class="questionaire_answer_list">
                                        <li data-answercontainerforid="{{ answer_select_data.id }}">
                                            <div class="slider-wrapper">
                                                <div class="slider-container">
                                                    <span class="slider-label" data-i18n="{{ question.answer.data.options.min_label |default(question.answer.data.options.min) }}"></span>
                                                    <input
                                                           data-question_id="{{ question.id }}"
                                                           data-answer-value-element="{{ answer_input.id }}"
                                                           name="answer_range_{{ question.id }}"
                                                           type="range"
                                                           id="answer_value_{{ question.answer.data.options.id }}"
                                                           min="{{ question.answer.data.options.min }}"
                                                           max="{{ question.answer.data.options.max }}"
                                                           value="{{ question.answer.data.options.default }}">
                                                    <span class="slider-label" data-i18n="{{ question.answer.data.options.max_label |default(question.answer.data.options.max) }}"></span>


                                                </div>
                                                <div class="slider-value-container">
                                                    <span data-answer-display="answer_value_{{ question.answer.data.options.id }}" data-range-display-question-id="{{ question.id }}" id="slider-value">{{ question.answer.data.options.default }}</span>
                                                </div>
                                            </div>
                                        </li>
                                    </ul>
                                {% endif %}

                                {% if question.answer.data.type == "stars" %}
                                    <ul class="questionaire_answer_list">
                                        <li data-answercontainerforid="{{ answer_select_data.id }}">
                                            <div class="star-rating">
                                                <input data-question_id="{{ question.id }}" data-answer-value-element="{{ answer_input.id }} "type="radio" id="star5" name="rating_{{ question.id }}" value="5">
                                                <label for="star5" title="5 stars"></label>
                                                <input data-question_id="{{ question.id }}" data-answer-value-element="{{ answer_input.id }}"type="radio" id="star4" name="rating_{{ question.id }}" value="4">
                                                <label for="star4" title="4 stars"></label>
                                                <input data-question_id="{{ question.id }}" data-answer-value-element="{{ answer_input.id }}"type="radio" id="star3" name="rating_{{ question.id }}" value="3">
                                                <label for="star3" title="3 stars"></label>
                                                <input data-question_id="{{ question.id }}" data-answer-value-element="{{ answer_input.id }}" type="radio" id="star2" name="rating_{{ question.id }}" value="2">
                                                <label for="star2" title="2 stars"></label>
                                                <input data-question_id="{{ question.id }}" data-answer-value-element="{{ answer_input.id }}" type="radio" id="star1" name="rating_{{ question.id }}" value="1">
                                                <label for="star1" title="1 star"></label>
                                            </div>
                                        </li>
                                    </ul>
                                {% endif %}
                            </div>
                        </li>
                    {% endif %}
                {% endfor %}

                <div id="cid_19" class="form-input-wide" data-layout="full">
                    <button data-align="auto"
                            class="btn btn-indigo"
                            data-component="button"
                            data-content=""
                            id="new_questionaire_button" data-i18n="Reset">
                    </button>
                    <button data-align="auto"
                            class="btn btn-indigo"
                            data-component="button"
                            data-content=""
                            id="save_questionaire_button" data-i18n="Save">
                    </button>
                </div>
            </ul>
        </form>
    </div>
</div>